#! /bin/sh

SRCDIR=/home/hitachi/iecfg/dialup
DISTDIR=/home/hitachi/etc/ppp

. $IECFG/iecfg.dat

# check pcmcia wireless lan card melco or samsung
    SAMSUNG=`grep "SAMSUNG 11Mbps WLAN Card" /var/lib/pcmcia/stab`
    MELCO=`grep "MELCO WLI-PCM-L11" /var/lib/pcmcia/stab`

    if [ -n "$SAMSUNG" ]; then
	WIRELESS_DEVICE="samsung"
	PCMCIA_SLOT=1
    elif [ -n "$MELCO" ]; then
	WIRELESS_DEVICE="melco"
	PCMCIA_SLOT=0
    else
	WIRELESS_DEVICE="none"
    fi

# 
if [ $NETWORK = "enable" ]; then 
    if [ $NETWORK_DEVICE = "lan" ]; then
	/etc/rc.d/init.d/network stop
    else
	if [ $WIRELESS_DEVICE != "none" ] ; then
	    cardctl eject $PCMCIA_SLOT
	fi
    fi
fi

cp -pdf $SRCDIR/$1/chat_script $DISTDIR
cp -pdf $SRCDIR/$1/options $DISTDIR
cp -pdf $SRCDIR/$1/*-secrets $DISTDIR
cp -pdf $SRCDIR/$1/resolv.conf /home/hitachi/etc/.

exit 0
